﻿<%@ Page Title="Page d'accueil" Language="C#"  AutoEventWireup="true"  Inherits="ClientSmartBuoy._Default" %>

<script runat="server">
    
    TemperatureControlPoint.SampleDeviceMain main = new TemperatureControlPoint.SampleDeviceMain();
    
    

    protected void ButtonOn_Click(object sender, EventArgs e)
    {
        int choose = RadioButtonList1.SelectedIndex;
        switch(choose)
        {
            case 0: main.switchOnWhiteLeds();
               break;
            case 1: main.switchOnBlueLeds();
               break;
            case 2: main.switchOnRedsLeds();
               break;
            default:
                break;
        }
        
        
    }

    protected void ButtonOff_Click(object sender, EventArgs e)
    {
        int choose = RadioButtonList1.SelectedIndex;
        switch(choose)
        {
            case 0:
                main.switchOffWhiteLeds();
               break;
            case 1:
               main.switchOffBlueLeds();
               break;
            case 2:
               main.switchOffRedLeds();
               break;
            default:
                break;
        }
    }

    protected void ButtonTempEau_Click(object sender, EventArgs e)
    {
        int tempEau = main.getTemperatureEau();
        Affichage.Text = "";
        Affichage.Text = " Temperature de l'eau = " + tempEau;
        
    }

    protected void ButtonTempAir_Click(object sender, EventArgs e)
    {
        int tempAir = main.getTemperatureAmbiante();
        Affichage.Text = "";
        Affichage.Text = " Temperature ambiante = " + tempAir;
    }


    protected void ButtonPlay_Click(object sender, EventArgs e)
    {
        main.play();
    }

    protected void ButtonStop_Click(object sender, EventArgs e)
    {
        main.stop();
    }

  

    protected void ButtonAssigner_Click(object sender, EventArgs e)
    {
        String address = addressToAssign.Text;
        main.assignAddress(address);
    }

    protected void ButtonConfig_Click(object sender, EventArgs e)
    {
        String config = configTextBox.Text;
        main.configure(config);
    }
    
</script>
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
<title>Page d'administration de Smart Buoy</title>
<link rel="stylesheet" media="screen" type="text/css"  href="design.css" />
    <style type="text/css">
        .style1
        {
            width: 495px;
        }
    </style>
</head>
<body>

 <form class="form1"  runat="server">
  <div id="banner">
        </div>
 <table style="width: 50%; height: 400px;"  width="500px" ; align="center">
        <tr>
                 <h3 align="center">Bienvenue dans la page d'administration de la Smart Buoy</h3>
        </tr>
       
        <tr>
        <td class="style1">
            <asp:TextBox ID="Affichage" runat="server"   align="center" Height="74px" 
                Width="489px"></asp:TextBox>
        </td>
        </tr>


        <tr>  
        <td class="style1">
              <asp:Button ID="ButtonTempEau" runat="server" align="center" 
                  Text="Voir Temperature de l'eau"   onclick="ButtonTempEau_Click" Height="41px" 
                  Width="489px" />
        </tr>

         <tr>
        <td class="style1">
        <asp:Button ID="ButtonTempAir" runat="server" align="center" Text="Voir Temperature Ambiante" 
             onclick="ButtonTempAir_Click" Height="35px" Width="490px" />
        </tr>
        
        <tr>
        <td class="style1">
             <asp:RadioButtonList ID="RadioButtonList1" runat="server" Width="273px"  >
                <asp:ListItem value="Leds Blanches" runat="server" />
                <asp:ListItem value="Leds Bleus" runat="server"/>
                <asp:ListItem value="Leds Rouges" runat="server"/>
            </asp:RadioButtonList>
       </td>
       </tr>
       <tr>
        <td class="style1">
            <asp:Button ID="ButtonOn" runat="server" Text="Allumer Leds"  
             onclick="ButtonOn_Click" Width="237px" align="center" Height="48px" />
        
         <asp:Button ID="ButtonOff" runat="server" Text="Eteindre Leds"  
         onclick="ButtonOff_Click" Width="252px" Height="44px" />
         </td>
         </tr>

         <tr>
         <td>
                
            <asp:TextBox ID="addressToAssign" runat="server" Height="57px" Width="237px"></asp:TextBox>
            <asp:Button ID="ButtonAssigner" runat="server" Height="56px"
                Text="Assigner " Width="254px" onclick="ButtonAssigner_Click" />
         </td>
         </tr>
         <tr>
         <td>       
            
             <asp:Button ID="ButtonPlay" runat="server" Text="Play" Width="235px" 
                 onclick="ButtonPlay_Click" Height="43px" />
             <asp:Button ID="ButtonStop" runat="server" Text="Stop" Width="254px" 
                 onclick="ButtonStop_Click" Height="43px" />
                
        </td>
        </tr>
        <tr>
        <td>
         <asp:Button ID="ButtonConfig" runat="server" Text="Configure Wifi" Height="33px" 
                onclick="ButtonConfig_Click" Width="234px" />
             <asp:TextBox ID="configTextBox" runat="server" Height="31px" Width="253px"></asp:TextBox>
             </td>
        </tr>
     </table>
    
</form>     
</body>

</html>


